#!/bin/sh

#clashNG's system multiuser initialization script

PATH=/bin:/usr/bin:/sbin:/usr/sbin
export PATH

echo "Going multiuser..."
if [ -r /etc/HOSTNAME ]
then
  hostname $(cat /etc/HOSTNAME | cut -f1 -d .)
else
  hostname clashNG
fi

touch /var/log/dmesg
dmesg -s 65536 > /var/log/dmesg

[ -x /etc/rc.d/rc.syslog -a -x /sbin/syslogd -a -d /var/log ] && . /etc/rc.d/rc.syslog start

if [ -x /etc/rc.d/rc.inet1 ] 
then
  . /etc/rc.d/rc.inet1
fi

if [ -x /etc/rc.d/rc.inet2 ] 
then
  . /etc/rc.d/rc.inet2
fi

mount -a -v 2> /dev/null | grep -v "already mounted"

chmod 755 / 2> /dev/null
chmod 1777 /tmp

if [ -x /etc/rc.d/rc.dnsmasq ] 
then
  /etc/rc.d/rc.dnsmasq start
fi

if [ -x /usr/sbin/atd ] 
then
  echo "00001" > /var/spool/atjobs/.SEQ
  atd -b 15 -l 1 
fi

if [ -x /etc/rc.d/rc.httpd ] 
then
  . /etc/rc.d/rc.httpd start
fi

if [ -x /etc/rc.d/rc.local ] 
then
  . /etc/rc.d/rc.local
fi
